Vionlabs Nudity Detection API
Vionlabs API for retrieval of content nudity results.
Get item content nudity result status and data
Gets a nudity result status and classification data for a given title.
In: header
Path Parameters
Customer's identifier for a catalog item.
Query Parameters
Specify nudity model version code.
Response Body
curl -X GET "https://loading/results/nudity/v2/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"nudity": {
"label": "None"
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item content nudity result status
Gets a nudity result status for a given asset.
In: header
Path Parameters
Customer's identifier for a catalog item.
Query Parameters
Specify nudity model version code.
Response Body
curl -X GET "https://loading/results/nudity/v2/status/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get paginated list of items with nudity results statuses and data ordered by creation/update timestamp
Gets paginated list of items with nudity results statuses and metadata for the customer catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueSpecifies Nudity version code
Response Body
curl -X GET "https://loading/results/nudity/v2/?from_utcdatetime=2024-03-06T20%3A00%3A00&to_utcdatetime=2024-03-07T20%3A00%3A00&page_num=0&page_size=500&version=string"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item content nudity frames result status and data
Gets nudity prediction for frames, sampled at an interval, of a given title. The results can be filtered by a label, e.g., only get "safe" frames or "unsafe" frames.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Nudity label filter ('safe' or 'unsafe'). When not specified, all frames are returned.
Specify Vionlabs Nudity Prediction version code.
Response Body
curl -X GET "https://loading/results/nudity/v2/frames/string?label=safe&version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"nudity": {
"frames": [
{
"frame_number": 0,
"frame_timestamp": 0,
"score": 0,
"score_raw": 0,
"label": "safe"
}
]
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}